Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.bc
Interface BCObjectIdentifiers

    public interface BCObjectIdentifiers

Field Summary
`static DERObjectIdentifier` `bc` iso.org.dod.internet.private.enterprise.legion-of-the-bouncy-castle 1.3.6.1.4.1.22554
`static DERObjectIdentifier` `bc_pbe` pbe(1) algorithms
`static DERObjectIdentifier` `bc_pbe_sha1` SHA-1(1)
`static DERObjectIdentifier` `bc_pbe_sha1_pkcs12`
`static DERObjectIdentifier` `bc_pbe_sha1_pkcs12_aes128_cbc` AES(1) .
`static DERObjectIdentifier` `bc_pbe_sha1_pkcs12_aes192_cbc`
`static DERObjectIdentifier` `bc_pbe_sha1_pkcs12_aes256_cbc`
`static DERObjectIdentifier` `bc_pbe_sha1_pkcs5` PKCS-5(1)|PKCS-12(2)
`static DERObjectIdentifier` `bc_pbe_sha224`
`static DERObjectIdentifier` `bc_pbe_sha256` SHA-2(2) .
`static DERObjectIdentifier` `bc_pbe_sha256_pkcs12`
`static DERObjectIdentifier` `bc_pbe_sha256_pkcs12_aes128_cbc`
`static DERObjectIdentifier` `bc_pbe_sha256_pkcs12_aes192_cbc`
`static DERObjectIdentifier` `bc_pbe_sha256_pkcs12_aes256_cbc`
`static DERObjectIdentifier` `bc_pbe_sha256_pkcs5`
`static DERObjectIdentifier` `bc_pbe_sha384`
`static DERObjectIdentifier` `bc_pbe_sha512`

Field Detail

### bc

    static final DERObjectIdentifier bc

  iso.org.dod.internet.private.enterprise.legion-of-the-bouncy-castle 1.3.6.1.4.1.22554

### bc_pbe

    static final DERObjectIdentifier bc_pbe

  pbe(1) algorithms

### bc_pbe_sha1

    static final DERObjectIdentifier bc_pbe_sha1

  SHA-1(1)

### bc_pbe_sha256

    static final DERObjectIdentifier bc_pbe_sha256

  SHA-2(2) . (SHA-256(1)|SHA-384(2)|SHA-512(3)|SHA-224(4))

### bc_pbe_sha384

    static final DERObjectIdentifier bc_pbe_sha384

### bc_pbe_sha512

    static final DERObjectIdentifier bc_pbe_sha512

### bc_pbe_sha224

    static final DERObjectIdentifier bc_pbe_sha224

### bc_pbe_sha1_pkcs5

    static final DERObjectIdentifier bc_pbe_sha1_pkcs5

  PKCS-5(1)|PKCS-12(2)

### bc_pbe_sha1_pkcs12

    static final DERObjectIdentifier bc_pbe_sha1_pkcs12

### bc_pbe_sha256_pkcs5

    static final DERObjectIdentifier bc_pbe_sha256_pkcs5

### bc_pbe_sha256_pkcs12

    static final DERObjectIdentifier bc_pbe_sha256_pkcs12

### bc_pbe_sha1_pkcs12_aes128_cbc

    static final DERObjectIdentifier bc_pbe_sha1_pkcs12_aes128_cbc

  AES(1) . (CBC-128(2)|CBC-192(22)|CBC-256(42))

### bc_pbe_sha1_pkcs12_aes192_cbc

    static final DERObjectIdentifier bc_pbe_sha1_pkcs12_aes192_cbc

### bc_pbe_sha1_pkcs12_aes256_cbc

    static final DERObjectIdentifier bc_pbe_sha1_pkcs12_aes256_cbc

### bc_pbe_sha256_pkcs12_aes128_cbc

    static final DERObjectIdentifier bc_pbe_sha256_pkcs12_aes128_cbc

### bc_pbe_sha256_pkcs12_aes192_cbc

    static final DERObjectIdentifier bc_pbe_sha256_pkcs12_aes192_cbc

### bc_pbe_sha256_pkcs12_aes256_cbc

    static final DERObjectIdentifier bc_pbe_sha256_pkcs12_aes256_cbc

Bouncy Castle Cryptography Library 1.45